- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Opens a Pull Request in the remote SCM repository associated with a GitRepositoryLink.
HTTP request
POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The GitRepositoryLink resource name in the format |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"pullRequest": {
object ( |
| Fields | |
|---|---|
pullRequest |
Required. The Pull Request details to open. Input fields used: title, body, headRef, baseRef. |
Response body
If successful, the response body contains an instance of PullRequest.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.openPullRequest
For more information, see the IAM documentation.